unix   : OBJECTS_DIR = build/.o/unix
win32  : OBJECTS_DIR = build/.o/win32
mac    : OBJECTS_DIR = build/.o/mac

UI_DIR   = build/.ui
MOC_DIR  = build/.moc
RCC_DIR  = build/.rcc
DESTDIR =  build/bin

win32 : DEFINES += _TTY_WIN_ QWT_DLL QT_DLL
unix  : DEFINES += _TTY_POSIX_

QT += gui core

SOURCES = SerialPort/qextserialbase.cpp \
	  SerialPort/qextserialport.cpp \
	  SerialPort/ManageSerialPort.cpp \
	  Forms/mktool.cpp \
          main.cpp

win32 : SOURCES += SerialPort/win_qextserialport.cpp

unix  : SOURCES += SerialPort/posix_qextserialport.cpp

HEADERS = SerialPort/qextserialbase.h \
	  SerialPort/qextserialport.h \
	  SerialPort/ManageSerialPort.h

win32 : HEADERS += SerialPort/win_qextserialport.h

unix  : HEADERS += SerialPort/posix_qextserialport.h

HEADERS += Forms/mktool.h

FORMS   += Forms/mktool.ui

TEMPLATE = app

CONFIG += warn_on \
	  thread \
          qt

TARGET = QMK-Groundstation

#RESOURCES = application.qrc


